<?php
/**
 * ContactsApiTest
 * PHP version 5
 *
 * @category Class
 * @package  text-magic
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */

/**
 * TextMagic
 *
 * TextMagic REST API
 *
 * OpenAPI spec version: 2
 * 
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 * Swagger Codegen version: 2.4.7
 */

/**
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen
 * Please update the test case below to test the endpoint.
 */

namespace text-magic;

use \text-magic\Configuration;
use \text-magic\ApiException;
use \text-magic\ObjectSerializer;

/**
 * ContactsApiTest Class Doc Comment
 *
 * @category Class
 * @package  text-magic
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */
class ContactsApiTest extends \PHPUnit_Framework_TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for blockContact
     *
     * Block contact from inbound and outbound communication by phone number..
     *
     */
    public function testBlockContact()
    {
    }

    /**
     * Test case for createContact
     *
     * Create a new contact from the submitted data..
     *
     */
    public function testCreateContact()
    {
    }

    /**
     * Test case for deleteAllContacts
     *
     * Delete all contacts..
     *
     */
    public function testDeleteAllContacts()
    {
    }

    /**
     * Test case for deleteByIds
     *
     * Delete contact by given ID(s) or delete all contacts..
     *
     */
    public function testDeleteByIds()
    {
    }

    /**
     * Test case for deleteContact
     *
     * Delete a single contact..
     *
     */
    public function testDeleteContact()
    {
    }

    /**
     * Test case for deleteContactAvatar
     *
     * Delete an avatar for the contact..
     *
     */
    public function testDeleteContactAvatar()
    {
    }

    /**
     * Test case for getBlockedContacts
     *
     * Get blocked contacts..
     *
     */
    public function testGetBlockedContacts()
    {
    }

    /**
     * Test case for getContact
     *
     * Get a single contact..
     *
     */
    public function testGetContact()
    {
    }

    /**
     * Test case for getContactByPhone
     *
     * Get a single contact by phone number..
     *
     */
    public function testGetContactByPhone()
    {
    }

    /**
     * Test case for getContactIfBlocked
     *
     * Check is that phone number blocked.
     *
     */
    public function testGetContactIfBlocked()
    {
    }

    /**
     * Test case for getContactsAutocomplete
     *
     * Get contacts autocomplete suggestions by given search term..
     *
     */
    public function testGetContactsAutocomplete()
    {
    }

    /**
     * Test case for getFavourites
     *
     * Get favorite contacts and lists..
     *
     */
    public function testGetFavourites()
    {
    }

    /**
     * Test case for getUnsubscribedContact
     *
     * Get a single unsubscribed contact..
     *
     */
    public function testGetUnsubscribedContact()
    {
    }

    /**
     * Test case for getUnsubscribers
     *
     * Get all contact have unsubscribed from your communication..
     *
     */
    public function testGetUnsubscribers()
    {
    }

    /**
     * Test case for getUserContacts
     *
     * Get all user contacts..
     *
     */
    public function testGetUserContacts()
    {
    }

    /**
     * Test case for searchContacts
     *
     * Find user contacts by given parameters..
     *
     */
    public function testSearchContacts()
    {
    }

    /**
     * Test case for unblockContact
     *
     * Unblock contact by phone number..
     *
     */
    public function testUnblockContact()
    {
    }

    /**
     * Test case for unblockContactsBulk
     *
     * Unblock several contacts by blocked contact ids or unblock all contacts.
     *
     */
    public function testUnblockContactsBulk()
    {
    }

    /**
     * Test case for unsubscribeContact
     *
     * Unsubscribe contact from your communication by phone number..
     *
     */
    public function testUnsubscribeContact()
    {
    }

    /**
     * Test case for updateContact
     *
     * Update existing contact..
     *
     */
    public function testUpdateContact()
    {
    }

    /**
     * Test case for uploadContactAvatar
     *
     * Add an avatar for the contact..
     *
     */
    public function testUploadContactAvatar()
    {
    }
}
